JavaScriptCore:
authormjs@apple.com <mjs@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 14 Oct 2008 01:21:43 +0000 (01:21 +0000)
committermjs@apple.com <mjs@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 14 Oct 2008 01:21:43 +0000 (01:21 +0000)
2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - fixed <rdar://problem/5806316> JavaScriptCore should not force building with gcc 4.0
        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:
        * JavaScriptCore.xcodeproj/project.pbxproj:

JavaScriptGlue:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:

WebCore:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:

WebKit/mac:

2008-10-13  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Mark Rowe.

        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default

        * Configurations/DebugRelease.xcconfig:

git-svn-id: http://svn.webkit.org/repository/webkit/trunk@37572 268f45cc-cd09-0410-ab3c-d52691b4dbfc

JavaScriptCore/ChangeLog
JavaScriptCore/Configurations/DebugRelease.xcconfig
JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj
JavaScriptGlue/ChangeLog
JavaScriptGlue/Configurations/DebugRelease.xcconfig
WebCore/ChangeLog
WebCore/Configurations/DebugRelease.xcconfig
WebKit/mac/ChangeLog
WebKit/mac/Configurations/DebugRelease.xcconfig

index de6a820d21c072d1e93d2de4a2be2b15f7855568..d57d415b53bcd61cb44b03c7df7d1608b25f40ce 100644 (file)
@@ -1,3 +1,13 @@
+2008-10-13  Maciej Stachowiak  <mjs@apple.com>
+
+        Rubber stamped by Mark Rowe.
+        
+        - fixed <rdar://problem/5806316> JavaScriptCore should not force building with gcc 4.0
+        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default
+
+        * Configurations/DebugRelease.xcconfig:
+        * JavaScriptCore.xcodeproj/project.pbxproj:
+
 2008-10-13  Cameron Zwarich  <zwarich@apple.com>
 
         Reviewed by Geoff Garen.
index 4f5699a5be65804e39654bfa9520e21c9b541113..1c052dba22b4431908cf6d9706b268f2ae80297f 100644 (file)
@@ -6,3 +6,7 @@ MACOSX_DEPLOYMENT_TARGET_1050 = 10.5;
 MACOSX_DEPLOYMENT_TARGET_1060 = 10.6;
 
 GCC_WARN_ABOUT_DEPRECATED_FUNCTIONS = YES;
+
+GCC_VERSION = $(GCC_VERSION_$(XCODE_VERSION_ACTUAL));
+GCC_VERSION_0310 = 4.2;
+GCC_VERSION_0311 = 4.2;
index dad3bdbabadb12f16d8283fc3af77470e6b50bdf..776b178acc228ab90f4425cdd67c44988b8ee805 100644 (file)
                E1EF79AA0CE97BA60088D500 /* UTF8.cpp in Sources */ = {isa = PBXBuildFile; fileRef = E1EF79A80CE97BA60088D500 /* UTF8.cpp */; };
 /* End PBXBuildFile section */
 
-/* Begin PBXBuildRule section */
-               1CFE4BEC0B0BA1EB00CC444D /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.c;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               1CFE4BF10B0BA22200CC444D /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.cpp;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               5DAD97A80B39B88E0014FEFF /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.c;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               5DAD97A80B39B88E0014FFFF /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.cpp;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               5DAD97A80B39B88F0014FEFF /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.c;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               5DAD97A80B39B88F0014FFFF /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.cpp;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               5DAD97A80B39B89F0014FEFF /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.c;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-               5DAD97A80B39B89F0014FFFF /* PBXBuildRule */ = {
-                       isa = PBXBuildRule;
-                       compilerSpec = com.apple.compilers.gcc.4_0;
-                       fileType = sourcecode.cpp;
-                       isEditable = 1;
-                       outputFiles = (
-                       );
-               };
-/* End PBXBuildRule section */
-
 /* Begin PBXContainerItemProxy section */
                141211350A48796100480255 /* PBXContainerItemProxy */ = {
                        isa = PBXContainerItemProxy;
                                144005C70A5338C60005F061 /* Headers */,
                        );
                        buildRules = (
-                               5DAD97A80B39B88E0014FEFF /* PBXBuildRule */,
-                               5DAD97A80B39B88E0014FFFF /* PBXBuildRule */,
                        );
                        dependencies = (
                                141211360A48796100480255 /* PBXTargetDependency */,
                                14BD59BD0A3E8F9000BAF59C /* Frameworks */,
                        );
                        buildRules = (
-                               5DAD97A80B39B88F0014FEFF /* PBXBuildRule */,
-                               5DAD97A80B39B88F0014FFFF /* PBXBuildRule */,
                        );
                        dependencies = (
                                14270B080A451DA10080EEEA /* PBXTargetDependency */,
                                1C395CBC0C6BCC16000D1E52 /* Generate 64-bit Export File */,
                        );
                        buildRules = (
-                               1CFE4BF10B0BA22200CC444D /* PBXBuildRule */,
-                               1CFE4BEC0B0BA1EB00CC444D /* PBXBuildRule */,
                        );
                        dependencies = (
                                65FB3F7E09D11EF300F49DEB /* PBXTargetDependency */,
                                5D5D8ABF0E0D0B0300F9C692 /* Fix Framework Reference */,
                        );
                        buildRules = (
-                               5DAD97A80B39B89F0014FEFF /* PBXBuildRule */,
-                               5DAD97A80B39B89F0014FFFF /* PBXBuildRule */,
                        );
                        dependencies = (
                                14270B0C0A451DA40080EEEA /* PBXTargetDependency */,
                        isa = XCBuildConfiguration;
                        baseConfigurationReference = 1C9051440BA9E8A70081E9D0 /* DebugRelease.xcconfig */;
                        buildSettings = {
-                               GCC_VERSION = 4.0;
                                STRIP_INSTALLED_PRODUCT = NO;
                        };
                        name = Release;
index 30323ba36a2852898fc84c73867d4699735c35c2..875af91277fe388095919355f695da4d2eb8b03d 100644 (file)
@@ -1,3 +1,11 @@
+2008-10-13  Maciej Stachowiak  <mjs@apple.com>
+
+        Rubber stamped by Mark Rowe.
+        
+        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default
+
+        * Configurations/DebugRelease.xcconfig:
+
 2008-10-06  Maciej Stachowiak  <mjs@apple.com>
 
         Not reviewed. Build fix.
index 4f5699a5be65804e39654bfa9520e21c9b541113..1c052dba22b4431908cf6d9706b268f2ae80297f 100644 (file)
@@ -6,3 +6,7 @@ MACOSX_DEPLOYMENT_TARGET_1050 = 10.5;
 MACOSX_DEPLOYMENT_TARGET_1060 = 10.6;
 
 GCC_WARN_ABOUT_DEPRECATED_FUNCTIONS = YES;
+
+GCC_VERSION = $(GCC_VERSION_$(XCODE_VERSION_ACTUAL));
+GCC_VERSION_0310 = 4.2;
+GCC_VERSION_0311 = 4.2;
index 51ee112f570b7ebfe6d4ff5f894c46731d7ba5c4..8c8601b7f5bb9d4858a94bfa8295815a1d734574 100644 (file)
@@ -1,3 +1,11 @@
+2008-10-13  Maciej Stachowiak  <mjs@apple.com>
+
+        Rubber stamped by Mark Rowe.
+        
+        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default
+
+        * Configurations/DebugRelease.xcconfig:
+
 2008-10-13  David Hyatt  <hyatt@apple.com>
 
         Make dropdown lists on Windows work with CSS custom scrollbars.
index f39806a30f57862274118d8ca733c5c132d982a9..a735128861c7bef869a8b1c1c93a9dc6c4d54130 100644 (file)
@@ -7,4 +7,8 @@ MACOSX_DEPLOYMENT_TARGET_1060 = 10.6;
 
 GCC_WARN_ABOUT_DEPRECATED_FUNCTIONS = YES;
 
+GCC_VERSION = $(GCC_VERSION_$(XCODE_VERSION_ACTUAL));
+GCC_VERSION_0310 = 4.2;
+GCC_VERSION_0311 = 4.2;
+
 WEBCORE_SQLITE3_HEADER_SEARCH_PATHS = $(BUILT_PRODUCTS_DIR)/WebCoreSQLite3;
index bf79d6d84094bbc1b80ff4a166b9c0cabf0e7834..b0a326a49cd84c35f79b6f35a44a7e9df09063ac 100644 (file)
@@ -1,3 +1,11 @@
+2008-10-13  Maciej Stachowiak  <mjs@apple.com>
+
+        Rubber stamped by Mark Rowe.
+        
+        - use gcc 4.2 when building with Xcode 3.1 or newer on Leopard, even though this is not the default
+
+        * Configurations/DebugRelease.xcconfig:
+
 2008-10-11  Dan Bernstein  <mitz@apple.com>
 
         Reviewed by Sam Weinig.
index b9b260cdbb7a087f9bfa74039bb401de16c0fb10..c2f780e6f3763083168b4bd7e7c1a9ff56d750d2 100644 (file)
@@ -7,6 +7,10 @@ MACOSX_DEPLOYMENT_TARGET_1060 = 10.6;
 
 GCC_WARN_ABOUT_DEPRECATED_FUNCTIONS = YES;
 
+GCC_VERSION = $(GCC_VERSION_$(XCODE_VERSION_ACTUAL));
+GCC_VERSION_0310 = 4.2;
+GCC_VERSION_0311 = 4.2;
+
 WEBKIT_SYSTEM_INTERFACE_LIBRARY = $(WEBKIT_SYSTEM_INTERFACE_LIBRARY_$(MAC_OS_X_VERSION_MAJOR));
 WEBKIT_SYSTEM_INTERFACE_LIBRARY_ = WebKitSystemInterfaceTiger;
 WEBKIT_SYSTEM_INTERFACE_LIBRARY_1040 = WebKitSystemInterfaceTiger;